[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 113: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
The Official Reality forums • IG IRAY and Reality not Compatible?
Page 1 of 1

IG IRAY and Reality not Compatible?

Posted: Sat Jul 28, 2018 10:13 pm
by creationz8
Hi. I bought the Reality Daz Studio edition plugin today and to my disappointment it does not work well with IG IRAY DAWN TO DUSK 2 ATMOSPHERIC LIGHTING. All I get is black in my renders. Any help would be greatly appreciated.

Re: IG IRAY and Reality not Compatible?

Posted: Tue Jul 31, 2018 7:14 am
by creationz8
I bought Reality because it was an alternative renderer for Daz Studio, but I have yet to get the image I want out of it. My money was not well spent on this software.

Re: IG IRAY and Reality not Compatible?

Posted: Tue Jul 31, 2018 7:21 am
by Rivaliant
Reality is still is not really a plug and play endeavor
You have to translate everything in Daz studio into comparable settings that Luxrender can work with

The trick to understanding and using Reality is to understand how Luxrender works and backwards engineer the results you're looking for

Iray itself has alot of premade presets that you don't have to think about, so to get Reality to give the same results you have to work backwards
on how the rendering engine(luxrender) uses the textures, models and material settings to how it needs to be set up in Reality and how Reality picks and translates what it sees in Daz Studio


So with your IG IRAY DAWN TO DUSK 2 ATMOSPHERIC LIGHTING
what is it, what does it do, what does it provide in content(textures, iray setting ect)
we need to translate iray to luxrender, then to reality to get compareable results

Re: IG IRAY and Reality not Compatible?

Posted: Tue Jul 31, 2018 1:05 pm
by creationz8
All I wanted to do was render a dome scene using IG IRAY. The marketing of the reality product did not mention anything about reverse engineering to get results. I bought the software with the impression that it was going to help out with a project and I was wrong. In fact, I get results using Daz's own renderer and nothing using Reality's.

Re: IG IRAY and Reality not Compatible?

Posted: Tue Jul 31, 2018 8:20 pm
by TransformerMan
"IG Iray Dawn to Dusk 2 Atmospheric Lighting" is an IRAY-specific product. Maybe the product page could be a bit more specific, but at least they put "IRAY" in the name of the product. There is really no reason to expect any other renderer to handle IRAY instructions than IRAY.

Re: IG IRAY and Reality not Compatible?

Posted: Tue Jul 31, 2018 8:38 pm
by PlatnumK
That particular product is using iRay's version of Reality's Volumetric Settings and a such have been designed to work only in iRay.

To do the same thing in Reality/Luxrender you would need to recreate it using Reality's Materials & a DAZ Studio primitive (like a cube) to contain your atmospherics. Getting this right will be trial & error.

Re: IG IRAY and Reality not Compatible?

Posted: Wed Aug 01, 2018 4:12 am
by Rivaliant

Re: IG IRAY and Reality not Compatible?

Posted: Fri Aug 17, 2018 8:04 pm
by creationz8
I really thought that Reality was "it" for me but it is not working out. I have tried to work with the software but it is more work than I realize. How do I get a refund? I have 30 days, correct?

Re: IG IRAY and Reality not Compatible?

Posted: Fri Aug 31, 2018 10:54 am
by Marcel2586
Reality and Luxrender is not a Button "MAKE ART FOR ME". you have to put some time in it to learn how it works. It can do so lot more than IRay. but you have to do it yourself and not push a button and sit back and watch a movie wile Reality reads your mind and looks in the brain the art you would like to make. That is Reality 7.2 release as i understand Mr. Ciccone correctly.
7.8 will do it wile sleeping.

Sorry for my sarcasm. But lately people expect that Reality is al doing it automatically for them. If i buy a car, i still need to use the pedals, gear and steering weel.
It is a little bit annoying to read that what you want from another render engine, do not load in automatically for you in Reality. That points out that you did not take the time to read all the tutorials, special written for beginners, and tutorials explaining how to make Iray shaders work with Reality.

Sorry to hear that it is not working out for you.

Re: IG IRAY and Reality not Compatible?

Posted: Fri Aug 31, 2018 2:28 pm
by fuzzy70
This is not a Reality specific problem, no mattter what 3D app you use (C4D, 3DSMAX, Blender etc etc) any external renderer (Renderman/Vray/Octane/Iray(non Daz)) has it's own way of dealing with materials even if they are the same Tech behind it such as PBR/Non PBR.

Almost all have some form of inbuilt conversion from the native apps materials to the external renderers materials, some have none at all, however even if it does 9/10 require tweaking to get the best out of them. Vray for instance pretty much requires you to make all your materials from scratch in it's native format. Even Daz's implementation of Iray doesn't use it's full capabilities (or makes getting at them far from straight forward).

In essence whatever renderer you decide to use, be it internal or external, time & effort will have to be put in to get the most out of it.

Regards

Lee